%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-horizon
Version:        9.7.0
Release:        1%{?dist}
Summary:        Puppet module for OpenStack Horizon
License:        Apache-2.0

URL:            https://launchpad.net/puppet-horizon

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.7.0
#
Patch0001: 0001-Switch-to-Zuul-v3-testing.patch
Patch0002: 0002-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-stdlib
Requires:       puppet-memcached
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Horizon

%prep
%setup -q -n openstack-horizon-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/



%files
%{_datadir}/openstack-puppet/modules/horizon/


%changelog
* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.7.0-1
- Update to 9.7.0
- Run puppet-openstack-beaker-jobs
- Switch to Zuul v3 testing

* Tue Oct 24 2017 Steve Linabery <slinaber@redhat.com> 9.6.0-1
- Update to 9.6.0
- Added customization-module option to Horizon config

* Tue Aug 15 2017 Radomir Dopieralski <rdopiera@redhat.com> 9.5.0-2
- Horizon SSL handshake errors with apache (rhbz#1478870)
- Add flag to enable the SECURE_PROXY_SSL_HEADER option (rhbz#1472887)

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422043)

* Wed Dec 14 2016 Lukas Bezdicka <lbezdick@redhat.com> 9.4.1-2
- Switch ensure_packages to ensure_resources for python-memcache (rhbz#1392583)

* Mon Nov 07 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.1-1
- Update to 9.4.1

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


